Bug 241569 - www/phalcon4: new port for upcoming version 4.0.0
Summary: www/phalcon4: new port for upcoming version 4.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-29 08:37 UTC by Franco Fichtner
Modified: 2019-12-16 12:29 UTC (History)
3 users (show)

See Also:


Attachments
4.0.0-rc.2 (1.71 KB, patch)
2019-10-29 08:37 UTC, Franco Fichtner
no flags Details | Diff
4.0.0-rc.2 with psr and session runtime modules (1.82 KB, patch)
2019-10-31 14:55 UTC, Franco Fichtner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2019-10-29 08:37:04 UTC
Created attachment 208675 [details]
4.0.0-rc.2

Hi,

Phalcon version 4 is a departure from previous versions so ideally a new port is created to follow its scheduled release.  See more here:

https://docs.phalcon.io/4.0/en/upgrade#requirements

I couldn't find a sensible list of changes not spread over several alpha, beta and release candidates so we start directly with release candidate 2.

Note the alpha says the following: "THIS RELEASE IS NOT BACKWARDS COMPATIBLE", see

https://github.com/phalcon/cphalcon/releases/tag/v4.0.0-alpha1


Cheers,
Franco
Comment 1 ruud 2019-10-31 11:27:41 UTC
Hopefully we can add this to FreeBSD soon.
Comment 2 Serghei Iakovlev 2019-10-31 13:03:41 UTC
(In reply to Franco Fichtner from comment #0)

Hello. As I can see the psr extension is missed.

To get a full list of the required PHP extensions go to https://github.com/phalcon/cphalcon/blob/95484a06ff9f1f4624b83761aba4d9222026788f/config.json#L15-L20
Comment 3 Franco Fichtner 2019-10-31 14:55:13 UTC
Created attachment 208737 [details]
4.0.0-rc.2 with psr and session runtime modules

Thanks for the review!  Oops, turns out session module is needed as well which isn't in the standard package for FreeBSD.  Runs fine now.
Comment 4 Kurt Jaeger freebsd_committer 2019-12-16 08:39:08 UTC
testbuild on current with php74 failed on current, see

https://people.freebsd.org/~pi/logs/www__phalcon4-cur-1576485337.txt
Comment 5 ruud 2019-12-16 09:02:02 UTC
Thnx for the report on the failing build. 
At the moment of creating this new port php74 wasn't released yet. We fixed some issues regarding php74 builds on osx in the meantime. I think this related to this issue. Some of these fixes are part of the RC.3 release, others will be part of the v4 stable release that will be dropped on Saturday (See you at the Online Release Party :D, https://blog.phalcon.io/post/release-party)
Comment 6 Serghei Iakovlev 2019-12-16 09:16:35 UTC
(In reply to Kurt Jaeger from comment #4)
These bugs related to the internal PHP 7.4 changes. PHP team decided to remove uint and ulong typedefs support. This is why build fails. We're fixed this by releasing new Zephir version that produces C-code without uint and ulong typedefs. You have to regenerate C-code using lates stable Zephir to build Phalcon v4 without these typedefs.
Comment 7 Kurt Jaeger freebsd_committer 2019-12-16 09:33:01 UTC
There's no zephir port in FreeBSD right now. So how would it be regenerated ?
Comment 8 Serghei Iakovlev 2019-12-16 09:46:59 UTC
(In reply to Kurt Jaeger from comment #7)
There are two ways:

1. Wait for a release (see https://blog.phalcon.io/post/release-party)

2. 

curl -s https://api.github.com/repos/phalcon/zephir/releases/latest \
  | grep "browser_download_url.*phar" \
  | cut -d : -f 2,3 \
  | tr -d \" \
  | wget -qi -

- Use curl to get the JSON response for the latest release
- Use grep to find the line containing file URL
- Use cut and tr to extract the URL
- Use wget to download it
Comment 9 Franco Fichtner 2019-12-16 10:21:12 UTC
I'd prefer a quick:

IGNORE_WITH_PHP=      74

For the time being.  We can reenable it in the release, ok?  :)


Cheers,
Franco
Comment 10 Serghei Iakovlev 2019-12-16 10:23:44 UTC
(In reply to Franco Fichtner from comment #9)
Yes, I think so.
Comment 11 ruud 2019-12-16 11:11:02 UTC
Sounds good Franco let's try to get the new port in and upgrade to v4 release. As soon as possible
Comment 12 Kurt Jaeger freebsd_committer 2019-12-16 11:42:53 UTC
Committed, thanks!
Comment 13 commit-hook freebsd_committer 2019-12-16 11:43:06 UTC
A commit references this bug:

Author: pi
Date: Mon Dec 16 11:42:52 UTC 2019
New revision: 520250
URL: https://svnweb.freebsd.org/changeset/ports/520250

Log:
  New port: www/phalcon4

  PhalconPHP is a web framework delivered as a C extension providing high
  performance and lower resource consumption.

  WWW: https://phalcon.io/

  PR:		241569
  Submitted by:	Franco Fichtner <franco@opnsense.org>
  Reviewed by:	sadhooklay@gmail.com, ruud@t-boonproductions.nl

Changes:
  head/www/Makefile
  head/www/phalcon4/
  head/www/phalcon4/Makefile
  head/www/phalcon4/distinfo
Comment 14 Franco Fichtner 2019-12-16 12:11:58 UTC
Thanks a lot <3
Comment 15 ruud 2019-12-16 12:29:54 UTC
<3